Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

Thanks to the answers at How to remove xubuntu-desktop?, I know how to remove the Xubuntu desktop.

But I am concerned that removing Xubuntu from my Ubuntu install might affect or harm the Unity desktop environment. Is this concern of mine valid?

share|improve this question

marked as duplicate by txwikinger, Eric Carvalho, minerz029, mikewhatever, Stephen Myall Jan 17 at 14:48

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1  
@landroni Does that really address the issue here? That's about adding a new desktop environment and the effect on programs and personal data; this is about removing a desktop environment and its effect on the functioning of another DE. Neither the question there nor its current answer seem to address (or attempt to address) the concerns here. –  Eliah Kagan Jan 17 at 8:07
    
@EliahKagan Thanks for the explanation. I tried to correct that in my answer below. This said, regarding duplicates, sometimes I feel that there are several questions that ask very similar questions and receive very similar answers, dispersing the resources over the entire QA website. Perhaps in some cases a stricter policy on duplicates would be more useful, especially for closed or old and not-really-answered questions. –  landroni Jan 17 at 9:45

2 Answers 2

The answer from the question you refrence links to this site, http://www.psychocats.net/ubuntu/pureubuntu

In that site it states-

These removal commands were created based on what Kubuntu, Xubuntu, etc. packages were added to a default Ubuntu installation. It's possible that the commands might remove some other packages you have since added to the default and want to keep. If that's the case, keep track of which packages those are and reinstall them. Theoretically, your settings should still be there. I am not responsible for any damage you do to your *buntu installation. If you're worried about breaking anything, do a full back up of your *buntu installation.

So, yes the commands may cause something to go wrong.

For example there may be programs that you use that might just happen to be installed by default in Xubuntu, that you may want to keep, in the command for removing everything installed by Xubuntu

sudo apt-get remove abiword abiword-common abiword-plugin-grammar abiword-plugin-mathview alacarte bison blueman brltty-x11 catfish docbook-xml exo-utils flex fonts-droid gigolo gimp gimp-data gmusicbrowser gnome-desktop-data gnome-system-tools gnome-time-admin gnumeric gnumeric-common gnumeric-doc gstreamer0.10-gnomevfs gthumb gthumb-data gtk2-engines-pixbuf indicator-application-gtk2 indicator-messages-gtk2 indicator-sound-gtk2 indicator-status-provider-pidgin leafpad libabiword-2.9 libao-common libao4 libaudio-scrobbler-perl libbabl-0.0-0 libbison-dev libcolamd2.7.1 libconfig-inifiles-perl libdigest-crc-perl libencode-locale-perl libept1.4.12 libexo-1-0 libexo-common libexo-helpers libfile-listing-perl libfl-dev libfont-afm-perl libgarcon-1-0 libgarcon-common libgdome2-0 libgdome2-cpp-smart0c2a libgegl-0.0-0 libgimp2.0 libglade2-0 libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libgoffice-0.8-8 libgoffice-0.8-8-common libgsf-1-114 libgsf-1-common libgstreamer-perl libgtk2-notify-perl libgtk2-trayicon-perl libgtkmathview0c2a libgtkspell0 libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl libhttp-message-perl libhttp-negotiate-perl libid3tag0 libido-0.1-0 libilmbase6 libio-socket-inet6-perl libio-socket-ssl-perl libjavascriptcoregtk-1.0-0 libjpeg-progs libjpeg-turbo-progs libkeybinder0 liblaunchpad-integration1 liblink-grammar4 libloudmouth1-0 liblwp-mediatypes-perl liblwp-protocol-https-perl libmad0 libmailtools-perl libnet-dbus-perl libnet-http-perl libnet-ssleay-perl liboobs-1-5 libopenexr6 libotr2 libots0 librarian0 libsexy2 libsocket6-perl libtagc0 libthunarx-2-0 libtidy-0.99-0 libtie-ixhash-perl libtimedate-perl libtumbler-1-0 libunique-1.0-0 liburi-perl libvte-common libvte9 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwv-1.2-4 libwww-perl libwww-robotrules-perl libxfce4ui-1-0 libxfce4util-bin libxfce4util-common libxfce4util4 libxfcegui4-4 libxfconf-0-2 libxml-parser-perl libxml-twig-perl libxml-xpath-perl libxss1 lightdm-gtk-greeter link-grammar-dictionaries-en linux-headers-3.2.0-24 linux-headers-3.2.0-24-generic linux-headers-generic lp-solve m4 mpg321 orage parole pastebinit pavucontrol pidgin pidgin-data pidgin-libnotify pidgin-microblog pidgin-otr plymouth-theme-xubuntu-logo plymouth-theme-xubuntu-text python-configobj python-glade2 python-gmenu rarian-compat ristretto screensaver-default-images sgml-data shimmer-themes synaptic system-tools-backends tcl8.5 thunar thunar-archive-plugin thunar-data thunar-media-tags-plugin thunar-volman ttf-droid ttf-lyx tumbler tumbler-common xchat xchat-common xfburn xfce-keyboard-shortcuts xfce4-appfinder xfce4-cpugraph-plugin xfce4-datetime-plugin xfce4-dict xfce4-indicator-plugin xfce4-mailwatch-plugin xfce4-netload-plugin xfce4-notes xfce4-notes-plugin xfce4-notifyd xfce4-panel xfce4-places-plugin xfce4-power-manager xfce4-power-manager-data xfce4-quicklauncher-plugin xfce4-screenshooter xfce4-session xfce4-settings xfce4-systemload-plugin xfce4-taskmanager xfce4-terminal xfce4-utils xfce4-verve-plugin xfce4-volumed xfce4-weather-plugin xfce4-xkb-plugin xfconf xfdesktop4 xfdesktop4-data xfwm4 xscreensaver xscreensaver-data xscreensaver-gl xubuntu-artwork xubuntu-default-settings xubuntu-desktop xubuntu-docs xubuntu-icon-theme xubuntu-wallpapers && sudo apt-get install ubuntu-desktop && sudo /usr/lib/lightdm/lightdm-set-defaults -g unity-greeter

One that you may want to keep would would be gimp if you are using it, so look through the list so you know what it is removing.

share|improve this answer
1  
i've used this command twice and never returned to a working system. just to warn you!! –  techvish81 Jun 15 '12 at 15:15
    
yep, it is quite an extreme solution, I would look into removing the menu entry askubuntu.com/questions/81161/… , the plymouth theme (plymouth-theme-xubuntu-logo plymouth-theme-xubuntu-text) the xfce4-notifyd and preforming the last step of reseting lightDM sudo /usr/lib/lightdm/lightdm-set-defaults -g unity-greeter So, not really removing "everything" xubuntu, but at least getting it out of sight. –  Mateo_ Jun 15 '12 at 15:44
    
Since when does Xfce want to remove Gnome stuff? Unity relies on most of Gnome.. –  Seth Jan 18 at 2:13
    
The question is about Xubuntu - and references a command that removes items from Xubuntu-Desktop meta package –  Mateo_ Jan 18 at 2:36

As explained in Can changing desktops environments affect my programs/personal data?, installing (or removing) a given desktop environment shouldn't affect any other desktop environment that you currently have on your system. It's just about installing/removing a bunch of packages, which apt ensures are independent of each other (two different packages cannot install the exact same file in the exact same path).

This said, it depends on how you go about the uninstall procedure. If for example you consider that lightdm is part of Xubuntu and remove that (don't!), and you have no other display manager available, then you can render your system unusable. So if you follow other answers that suggest removing a very specific list of packages, make sure to check each manually that there isn't anything that could be crucial to your system.

Now for an actual safe way (as far as I go) of removing Xfce, if I wanted to do that on my system I would proceed as follows:

root@malou-laptop:/home/liv# apt-get remove libxfce* libexo-common xfce*
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'libxfcegui4-4' for regex 'libxfce*'
Note, selecting 'libxfconf-0-dev' for regex 'libxfce*'
Note, selecting 'libxfce4ui-1-dbg' for regex 'libxfce*'
Note, selecting 'libxfce4ui-1-dev' for regex 'libxfce*'
Note, selecting 'libxfce4util-bin' for regex 'libxfce*'
Note, selecting 'libxfce4util-dev' for regex 'libxfce*'
Note, selecting 'libxfce4util-1' for regex 'libxfce*'
Note, selecting 'libxfce4ui-utils-dbg' for regex 'libxfce*'
Note, selecting 'libxfcegui4-4-dbg' for regex 'libxfce*'
Note, selecting 'libxfce4util6-dbg' for regex 'libxfce*'
Note, selecting 'libxfce4util6-dev' for regex 'libxfce*'
Note, selecting 'libxfce4ui-2-dbg' for regex 'libxfce*'
Note, selecting 'libxfce4util4' for regex 'libxfce*'
Note, selecting 'libxfce4util6' for regex 'libxfce*'
Note, selecting 'libxfce4ui-2-dev' for regex 'libxfce*'
Note, selecting 'libxfce4util-common' for regex 'libxfce*'
Note, selecting 'libxfce4menu-0.1-0' for regex 'libxfce*'
Note, selecting 'libxfconf-0-2-dbg' for regex 'libxfce*'
Note, selecting 'libxfce4ui-common' for regex 'libxfce*'
Note, selecting 'libxfce4ui-1-0' for regex 'libxfce*'
Note, selecting 'libxfce4ui-2-0' for regex 'libxfce*'
Note, selecting 'libxfce4ui-utils' for regex 'libxfce*'
Note, selecting 'libxfce4util4-dbg' for regex 'libxfce*'
Note, selecting 'libxfconf-0-2' for regex 'libxfce*'
Note, selecting 'libxfcegui4-dev' for regex 'libxfce*'
Note, selecting 'xfce4-equake-plugin' for regex 'xfce*'
Note, selecting 'libxfcegui4-4' for regex 'xfce*'
Note, selecting 'xfce4-genmon-plugin' for regex 'xfce*'
Note, selecting 'xfce4-mcs-plugins' for regex 'xfce*'
Note, selecting 'libxfconf-0-dev' for regex 'xfce*'
Note, selecting 'xfce4-messenger-plugin' for regex 'xfce*'
Note, selecting 'xfce4-time-out-plugin' for regex 'xfce*'
Note, selecting 'libxfce4ui-1-dbg' for regex 'xfce*'
Note, selecting 'xfce4-embed-plugin' for regex 'xfce*'
Note, selecting 'xfce4-mpc-plugin' for regex 'xfce*'
Note, selecting 'libxfce4ui-1-dev' for regex 'xfce*'
Note, selecting 'xfce4-terminal-dbg' for regex 'xfce*'
Note, selecting 'libxfce4util-bin' for regex 'xfce*'
Note, selecting 'libxfce4util-dev' for regex 'xfce*'
Note, selecting 'xfce4-dbg' for regex 'xfce*'
Note, selecting 'desktopnova-module-xfce' for regex 'xfce*'
Note, selecting 'xfce4-xkb-plugin' for regex 'xfce*'
Note, selecting 'xfce4-nofityd' for regex 'xfce*'
Note, selecting 'xfce4-notifyd' for regex 'xfce*'
Note, selecting 'xfce4-volumed' for regex 'xfce*'
Note, selecting 'glade-xfce' for regex 'xfce*'
Note, selecting 'libxfce4util-1' for regex 'xfce*'
Note, selecting 'xfce4-verve-plugin' for regex 'xfce*'
Note, selecting 'libxfce4ui-utils-dbg' for regex 'xfce*'
Note, selecting 'xfce4-panel' for regex 'xfce*'
Note, selecting 'xfce4-goodies' for regex 'xfce*'
Note, selecting 'xfce4-cpufreq-plugin' for regex 'xfce*'
Note, selecting 'xfce4-taskmanager' for regex 'xfce*'
Note, selecting 'xfce4-mailwatch-plugin' for regex 'xfce*'
Note, selecting 'libxfcegui4-4-dbg' for regex 'xfce*'
Note, selecting 'remmina-xfce' for regex 'xfce*'
Note, selecting 'xfce4' for regex 'xfce*'
Note, selecting 'xfce4-notes-plugin' for regex 'xfce*'
Note, selecting 'xfce4-timer-plugin' for regex 'xfce*'
Note, selecting 'xfce-theme-manager' for regex 'xfce*'
Note, selecting 'xfce4-vala-dev' for regex 'xfce*'
Note, selecting 'libxfce4util6-dbg' for regex 'xfce*'
Note, selecting 'xfce4-appfinder' for regex 'xfce*'
Note, selecting 'xfce4-radio-plugin' for regex 'xfce*'
Note, selecting 'xfce4-panel-dbg' for regex 'xfce*'
Note, selecting 'libxfce4util6-dev' for regex 'xfce*'
Note, selecting 'xfce-theme-manager-dbg' for regex 'xfce*'
Note, selecting 'libxfce4ui-2-dbg' for regex 'xfce*'
Note, selecting 'xfce4-battery-plugin' for regex 'xfce*'
Note, selecting 'xfce4-panel-dev' for regex 'xfce*'
Note, selecting 'xfce4-composite-editor' for regex 'xfce*'
Note, selecting 'libxfce4util4' for regex 'xfce*'
Note, selecting 'libxfce4util6' for regex 'xfce*'
Note, selecting 'libxfce4ui-2-dev' for regex 'xfce*'
Note, selecting 'xfce-keyboard-shortcuts' for regex 'xfce*'
Note, selecting 'xfce4-cddrive-plugin' for regex 'xfce*'
Note, selecting 'xfce4-volstatus-icon' for regex 'xfce*'
Note, selecting 'libxfce4util-common' for regex 'xfce*'
Note, selecting 'xfce4-dockbarx-plugin' for regex 'xfce*'
Note, selecting 'libxfce4menu-0.1-0' for regex 'xfce*'
Note, selecting 'xfce4-weather-plugin' for regex 'xfce*'
Note, selecting 'xfce4-netload-plugin' for regex 'xfce*'
Note, selecting 'xfce4-session-dbg' for regex 'xfce*'
Note, selecting 'xfce4-indicator-plugin' for regex 'xfce*'
Note, selecting 'xfce4-wavelan-plugin' for regex 'xfce*'
Note, selecting 'libxfconf-0-2-dbg' for regex 'xfce*'
Note, selecting 'xfce4-notes' for regex 'xfce*'
Note, selecting 'xfce4-screenshooter-plugin' for regex 'xfce*'
Note, selecting 'xfce4-xfapplet-plugin' for regex 'xfce*'
Note, selecting 'xfce-theme-manager-examples' for regex 'xfce*'
Note, selecting 'xfce4-systemload-plugin' for regex 'xfce*'
Note, selecting 'xfce4-eyes-plugin' for regex 'xfce*'
Note, selecting 'libxfce4ui-common' for regex 'xfce*'
Note, selecting 'xfce4-diskperf-plugin' for regex 'xfce*'
Note, selecting 'libxfce4ui-1-0' for regex 'xfce*'
Note, selecting 'xfce4-settings' for regex 'xfce*'
Note, selecting 'libxfce4ui-2-0' for regex 'xfce*'
Note, selecting 'gtk3-engines-xfce' for regex 'xfce*'
Note, selecting 'xfce4-fsguard-plugin' for regex 'xfce*'
Note, selecting 'xfce4-cpugraph-plugin' for regex 'xfce*'
Note, selecting 'xfce4-datetime-plugin' for regex 'xfce*'
Note, selecting 'libxfce4ui-utils' for regex 'xfce*'
Note, selecting 'xfce4-artwork' for regex 'xfce*'
Note, selecting 'xfce4-dev-tools' for regex 'xfce*'
Note, selecting 'xfce4-smartbookmark-plugin' for regex 'xfce*'
Note, selecting 'xfce4-power-manager' for regex 'xfce*'
Note, selecting 'xfce4-power-manager-data' for regex 'xfce*'
Note, selecting 'xfce4-whiskermenu-plugin' for regex 'xfce*'
Note, selecting 'gtk2-engines-xfce' for regex 'xfce*'
Note, selecting 'xfce4-mcs-manager' for regex 'xfce*'
Note, selecting 'libxfce4util4-dbg' for regex 'xfce*'
Note, selecting 'xfce4-quicklauncher-plugin' for regex 'xfce*'
Note, selecting 'xfce4-power-manager-plugins' for regex 'xfce*'
Note, selecting 'xfce4-linelight-plugin' for regex 'xfce*'
Note, selecting 'xfce4-utils' for regex 'xfce*'
Note, selecting 'xfce4-mixer-alsa' for regex 'xfce*'
Note, selecting 'xfce4-terminal' for regex 'xfce*'
Note, selecting 'xfconf' for regex 'xfce*'
Note, selecting 'xfce4-mount-plugin' for regex 'xfce*'
Note, selecting 'xfce4-session' for regex 'xfce*'
Note, selecting 'xfce4-sensors-plugin' for regex 'xfce*'
Note, selecting 'xfce4-screenshooter' for regex 'xfce*'
Note, selecting 'libxfconf-0-2' for regex 'xfce*'
Note, selecting 'xfce4-hdaps' for regex 'xfce*'
Note, selecting 'xfce4-wmdock-plugin' for regex 'xfce*'
Note, selecting 'xfce4-cellmodem-plugin' for regex 'xfce*'
Note, selecting 'xfce4-clipman' for regex 'xfce*'
Note, selecting 'xfce4-places-plugin' for regex 'xfce*'
Note, selecting 'libxfcegui4-dev' for regex 'xfce*'
Note, selecting 'xfce4-mixer' for regex 'xfce*'
Note, selecting 'xfce4-clipman-plugin' for regex 'xfce*'
Note, selecting 'gwallpapers-module-xfce' for regex 'xfce*'
Note, selecting 'xfce4-mixer-oss' for regex 'xfce*'
Note, selecting 'xfce4-vala' for regex 'xfce*'
Note, selecting 'xfce4-dict' for regex 'xfce*'
Package desktopnova-module-xfce is not installed, so not removed
Package libxfce4util4-dbg is not installed, so not removed
Package xfce4-utils is not installed, so not removed
Package xfce4-dockbarx-plugin is not installed, so not removed
Package xfce-theme-manager-dbg is not installed, so not removed
Package xfce-theme-manager-examples is not installed, so not removed
Package xfce4-radio-plugin is not installed, so not removed
Package xfce4-messenger-plugin is not installed, so not removed
Package xfce4-mpc-plugin is not installed, so not removed
Package xfce4-cellmodem-plugin is not installed, so not removed
Package xfce4-wmdock-plugin is not installed, so not removed
Package xfce4-eyes-plugin is not installed, so not removed
Package xfce4-panel-dbg is not installed, so not removed
Package libxfcegui4-4-dbg is not installed, so not removed
Package glade-xfce is not installed, so not removed
Package libxfconf-0-2-dbg is not installed, so not removed
Package xfce4-linelight-plugin is not installed, so not removed
Package xfce4-hdaps is not installed, so not removed
Package xfce4-dbg is not installed, so not removed
Package xfce4-terminal-dbg is not installed, so not removed
Package xfce4-session-dbg is not installed, so not removed
Package libxfce4util6-dbg is not installed, so not removed
Package gtk3-engines-xfce is not installed, so not removed
Package libxfce4ui-1-dbg is not installed, so not removed
Package libxfce4ui-utils-dbg is not installed, so not removed
Package libxfce4ui-2-dbg is not installed, so not removed
Package xfce4-volstatus-icon is not installed, so not removed
Package libxfce4menu-0.1-0 is not installed, so not removed
The following extra packages will be installed:
  libpixman-1-0 libpixman-1-dev notify-osd
The following packages will be REMOVED:
  blueman exo-utils gnome-power-manager gtk2-engines-xfce libexo-1-0
  libexo-1-dev libexo-common libgarcon-1-0 libgarcon-1-0-dev libthunar-vfs-1-2
  libthunarx-2-0 libxfce4ui-1-0 libxfce4ui-1-dev libxfce4ui-2-0
  libxfce4ui-2-dev libxfce4ui-common libxfce4ui-utils libxfce4util-bin
  libxfce4util-common libxfce4util-dev libxfce4util4 libxfce4util6
  libxfcegui4-4 libxfcegui4-dev libxfconf-0-2 libxfconf-0-dev orage parole
  ristretto squeeze thunar thunar-archive-plugin thunar-dropbox-plugin
  thunar-gtkhash thunar-media-tags-plugin thunar-sendto-clamtk thunar-volman
  xfburn xfce-keyboard-shortcuts xfce-theme-manager xfce4 xfce4-appfinder
  xfce4-artwork xfce4-battery-plugin xfce4-clipman xfce4-clipman-plugin
  xfce4-cpufreq-plugin xfce4-cpugraph-plugin xfce4-datetime-plugin
  xfce4-dev-tools xfce4-dict xfce4-diskperf-plugin xfce4-embed-plugin
  xfce4-equake-plugin xfce4-fsguard-plugin xfce4-genmon-plugin xfce4-goodies
  xfce4-indicator-plugin xfce4-mailwatch-plugin xfce4-mixer xfce4-mount-plugin
  xfce4-netload-plugin xfce4-notes xfce4-notes-plugin xfce4-notifyd
  xfce4-panel xfce4-panel-dev xfce4-places-plugin xfce4-power-manager
  xfce4-power-manager-data xfce4-power-manager-plugins
  xfce4-quicklauncher-plugin xfce4-screenshooter xfce4-screenshooter-plugin
  xfce4-sensors-plugin xfce4-session xfce4-settings xfce4-smartbookmark-plugin
  xfce4-systemload-plugin xfce4-taskmanager xfce4-terminal
  xfce4-time-out-plugin xfce4-timer-plugin xfce4-vala xfce4-vala-dev
  xfce4-verve-plugin xfce4-volumed xfce4-wavelan-plugin xfce4-weather-plugin
  xfce4-whiskermenu-plugin xfce4-xkb-plugin xfconf xfdesktop4 xfswitch-plugin
  xfwm4 xfwm4-themes xubuntu-desktop
The following NEW packages will be installed:
  notify-osd
The following packages will be upgraded:
  libpixman-1-0 libpixman-1-dev
2 upgraded, 1 newly installed, 97 to remove and 125 not upgraded.
Need to get 675 kB of archives.
After this operation, 90.7 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.

Now before you go ahead and say "yes" above, look closely at the list of packages, identify those that you wouldn't want removed (say, blueman and Thunar), make a list. After the removal is complete, reinstall those packages:

apt-get install blueman thunar

That's as safe as it gets to removing Xfce and, to come back to your original question, should NOT affect an existing installation of Unity. As for remaining bits of Xubuntu, follow the other answers and evaluate each package removal individually.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.